commit f1a8a7dc133e18afe28cae0b7533d1694cf6095b
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Jun 15 00:17:27 2020 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 90b1180b434..0dab8e8132f 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200614
+20200615
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 1039aa5252e..f0a3a30dad0 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,13 @@
+2020-06-14  Thomas Koenig  <tkoenig@gcc.gnu.org>
+
+	PR fortran/94109
+	* class.c (finalize_component): Return early if finalization has
+	already happened for expression and component within namespace.
+	* gfortran.h (gfc_was_finalized): New type.
+	(gfc_namespace): Add member was_finalzed.
+	(gfc_expr): Remove finalized.
+	* symbol.c (gfc_free_namespace): Free was_finalized.
+
 2020-06-01  Thomas Koenig  <tkoenig@gcc.gnu.org>
 
 	PR fortran/94361
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index d5e5890e4ae..0af007f252e 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,9 @@
+2020-06-14  Thomas Koenig  <tkoenig@gcc.gnu.org>
+
+	PR fortran/94109
+	* gfortran.dg/finalize_34.f90: Adjust free counts.
+	* gfortran.dg/finalize_36.f90: New test.
+
 2020-06-01  Thomas Koenig  <tkoenig@gcc.gnu.org>
 
 	PR fortran/94361

